package org.jk.rag.domain.entity;

import java.util.List;

public class JkCompletionsParams {

    private static final long serialVersionUID = 1L;

    private String appId;

    private String model;

    /**
     * messages
     */
    private List<JkPromptInfo> messages;

    private String chat_id;

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public List<JkPromptInfo> getMessages() {
        return messages;
    }

    public void setMessages(List<JkPromptInfo> messages) {
        this.messages = messages;
    }

    public String getChat_id() {
        return chat_id;
    }

    public void setChat_id(String chat_id) {
        this.chat_id = chat_id;
    }
}
